Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network243.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
243.0.0.0
Broadcast address
243.127.255.255
First usable
243.0.0.1
Last usable
243.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F3000000 · Integer 4076863488 to 4085252095
Reverse DNS zones
0.243.in-addr.arpa
1.243.in-addr.arpa
2.243.in-addr.arpa
3.243.in-addr.arpa
4.243.in-addr.arpa
5.243.in-addr.arpa
6.243.in-addr.arpa
7.243.in-addr.arpa
8.243.in-addr.arpa
9.243.in-addr.arpa
10.243.in-addr.arpa
11.243.in-addr.arpa
12.243.in-addr.arpa
13.243.in-addr.arpa
14.243.in-addr.arpa
15.243.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110011.00000000.00000000.00000000243.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11110011.00000000.00000000.00000000243.0.0.0
Broadcast11110011.01111111.11111111.11111111243.127.255.255
Split into smaller subnets/15

243.0.0.0/9 makes 64 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1243.0.0.0/15243.0.0.1 to 243.1.255.254243.1.255.255131,070
2243.2.0.0/15243.2.0.1 to 243.3.255.254243.3.255.255131,070
3243.4.0.0/15243.4.0.1 to 243.5.255.254243.5.255.255131,070
4243.6.0.0/15243.6.0.1 to 243.7.255.254243.7.255.255131,070
5243.8.0.0/15243.8.0.1 to 243.9.255.254243.9.255.255131,070
6243.10.0.0/15243.10.0.1 to 243.11.255.254243.11.255.255131,070
7243.12.0.0/15243.12.0.1 to 243.13.255.254243.13.255.255131,070
8243.14.0.0/15243.14.0.1 to 243.15.255.254243.15.255.255131,070
9243.16.0.0/15243.16.0.1 to 243.17.255.254243.17.255.255131,070
10243.18.0.0/15243.18.0.1 to 243.19.255.254243.19.255.255131,070
11243.20.0.0/15243.20.0.1 to 243.21.255.254243.21.255.255131,070
12243.22.0.0/15243.22.0.1 to 243.23.255.254243.23.255.255131,070
13243.24.0.0/15243.24.0.1 to 243.25.255.254243.25.255.255131,070
14243.26.0.0/15243.26.0.1 to 243.27.255.254243.27.255.255131,070
15243.28.0.0/15243.28.0.1 to 243.29.255.254243.29.255.255131,070
16243.30.0.0/15243.30.0.1 to 243.31.255.254243.31.255.255131,070
17243.32.0.0/15243.32.0.1 to 243.33.255.254243.33.255.255131,070
18243.34.0.0/15243.34.0.1 to 243.35.255.254243.35.255.255131,070
19243.36.0.0/15243.36.0.1 to 243.37.255.254243.37.255.255131,070
20243.38.0.0/15243.38.0.1 to 243.39.255.254243.39.255.255131,070
21243.40.0.0/15243.40.0.1 to 243.41.255.254243.41.255.255131,070
22243.42.0.0/15243.42.0.1 to 243.43.255.254243.43.255.255131,070
23243.44.0.0/15243.44.0.1 to 243.45.255.254243.45.255.255131,070
24243.46.0.0/15243.46.0.1 to 243.47.255.254243.47.255.255131,070
25243.48.0.0/15243.48.0.1 to 243.49.255.254243.49.255.255131,070
26243.50.0.0/15243.50.0.1 to 243.51.255.254243.51.255.255131,070
27243.52.0.0/15243.52.0.1 to 243.53.255.254243.53.255.255131,070
28243.54.0.0/15243.54.0.1 to 243.55.255.254243.55.255.255131,070
29243.56.0.0/15243.56.0.1 to 243.57.255.254243.57.255.255131,070
30243.58.0.0/15243.58.0.1 to 243.59.255.254243.59.255.255131,070
31243.60.0.0/15243.60.0.1 to 243.61.255.254243.61.255.255131,070
32243.62.0.0/15243.62.0.1 to 243.63.255.254243.63.255.255131,070
33243.64.0.0/15243.64.0.1 to 243.65.255.254243.65.255.255131,070
34243.66.0.0/15243.66.0.1 to 243.67.255.254243.67.255.255131,070
35243.68.0.0/15243.68.0.1 to 243.69.255.254243.69.255.255131,070
36243.70.0.0/15243.70.0.1 to 243.71.255.254243.71.255.255131,070
37243.72.0.0/15243.72.0.1 to 243.73.255.254243.73.255.255131,070
38243.74.0.0/15243.74.0.1 to 243.75.255.254243.75.255.255131,070
39243.76.0.0/15243.76.0.1 to 243.77.255.254243.77.255.255131,070
40243.78.0.0/15243.78.0.1 to 243.79.255.254243.79.255.255131,070
41243.80.0.0/15243.80.0.1 to 243.81.255.254243.81.255.255131,070
42243.82.0.0/15243.82.0.1 to 243.83.255.254243.83.255.255131,070
43243.84.0.0/15243.84.0.1 to 243.85.255.254243.85.255.255131,070
44243.86.0.0/15243.86.0.1 to 243.87.255.254243.87.255.255131,070
45243.88.0.0/15243.88.0.1 to 243.89.255.254243.89.255.255131,070
46243.90.0.0/15243.90.0.1 to 243.91.255.254243.91.255.255131,070
47243.92.0.0/15243.92.0.1 to 243.93.255.254243.93.255.255131,070
48243.94.0.0/15243.94.0.1 to 243.95.255.254243.95.255.255131,070
49243.96.0.0/15243.96.0.1 to 243.97.255.254243.97.255.255131,070
50243.98.0.0/15243.98.0.1 to 243.99.255.254243.99.255.255131,070
51243.100.0.0/15243.100.0.1 to 243.101.255.254243.101.255.255131,070
52243.102.0.0/15243.102.0.1 to 243.103.255.254243.103.255.255131,070
53243.104.0.0/15243.104.0.1 to 243.105.255.254243.105.255.255131,070
54243.106.0.0/15243.106.0.1 to 243.107.255.254243.107.255.255131,070
55243.108.0.0/15243.108.0.1 to 243.109.255.254243.109.255.255131,070
56243.110.0.0/15243.110.0.1 to 243.111.255.254243.111.255.255131,070
57243.112.0.0/15243.112.0.1 to 243.113.255.254243.113.255.255131,070
58243.114.0.0/15243.114.0.1 to 243.115.255.254243.115.255.255131,070
59243.116.0.0/15243.116.0.1 to 243.117.255.254243.117.255.255131,070
60243.118.0.0/15243.118.0.1 to 243.119.255.254243.119.255.255131,070
61243.120.0.0/15243.120.0.1 to 243.121.255.254243.121.255.255131,070
62243.122.0.0/15243.122.0.1 to 243.123.255.254243.123.255.255131,070
63243.124.0.0/15243.124.0.1 to 243.125.255.254243.125.255.255131,070
64243.126.0.0/15243.126.0.1 to 243.127.255.254243.127.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses